## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname sshpubkeys
%global forgeurl https://github.com/ojarva/%{srcname}/
%global tag %{version}

Name:           python-%{srcname}
Version:        3.3.1
%forgemeta
Release:        %autorelease
Summary:        OpenSSH public key parser for Python

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
Native implementation for validating OpenSSH public keys.

Currently ssh-rsa, ssh-dss (DSA), ssh-ed25519 and ecdsa keys with NIST curves
are supported.}


%description %{common_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
PYTHONPATH=${PWD} %{__python3} -m unittest tests


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-5
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.3.1-2
- Rebuilt for Python 3.10

* Wed May 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.1-1
- Initial package

